package com.gingersoft.gsa.cloud.table.mvp.contract;

import android.app.Activity;

import com.gingersoft.gsa.cloud.database.bean.Modifier;
import com.jess.arms.base.DefaultAdapter;
import com.jess.arms.mvp.IView;
import com.jess.arms.mvp.IModel;

import androidx.recyclerview.widget.RecyclerView;

import java.util.List;


/**
 * ================================================
 * Description:
 * <p>
 * Created by MVPArmsTemplate on 02/19/2020 22:15
 * <a href="mailto:jess.yan.effort@gmail.com">Contact me</a>
 * <a href="https://github.com/JessYanCoding">Follow me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms">Star me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms/wiki">See me</a>
 * <a href="https://github.com/JessYanCoding/MVPArmsTemplate">模版请保持更新</a>
 * ================================================
 */
public interface FineChildAllContract {
    //对于经常使用的关于UI的方法可以定义到IView中,如显示隐藏进度条,和显示文字消息
    interface View extends IView {

        Activity getCurrentActivity();

        void setFineItemAllAdapter(DefaultAdapter adapter);

        void setFineItemKindItemAdapter(DefaultAdapter adapter);

        void setFineItemAllRecycleSpanCount(int size);

        void setFineItemKindItemRecycleSpanCount(int size);

        RecyclerView getRecycle_fine_adll();

        RecyclerView getRecycle_fine_item_kind_item();
    }

    //Model层定义接口,外部只需关心Model返回的数据,无需关心内部细节,即是否使用缓存
    interface Model extends IModel {

        List<Modifier> queryDB_ModifierByModMsgAndVisibleQueryBuilder();

        List<Modifier> queryDB_ModifierByModModTasteVisibleQueryBuilder();

        List<Modifier> queryDB_ModifierByModModCommVisibleQueryBuilder();

        List<Modifier> queryDB_ModifierByTopidAndVisibleQueryBuilder(long fid);

    }
}
